function t=sdinvfunc(x,r,c1,c2)

% sdinvfunc IS THE FUNCTION BEING INTEGRATED
% WHEN CALCULATING SEED DENSITY AT DISTANCE r FROM A FRONT
% THIS IS THE INVERTED FORM, USED FOR INDEFINITE INTEGRATION
% THAT IS,
% integral of f(x) dx from a to infinity equals
% integral of [1/(z^2)] * f(1/z) dz from 0 to 1/a
% this is that converted (latter) integral
% for the seed dispersal frunction

  maxn=length(x);
  for n = 1:maxn
    z = 1/x(n);
    t(n) = (z^2)*(acos(r/z)/pi)*sd1dkernel(z,c1,c2);
  end
