function q=sdposint(r,c1,c2,k,bordertype,circlerad)
% sdposint(100,54,2.4,13.8,1,40)

% sdposint IS THE EXPECTED SEED DENSITY
% AT DISTANCE r FROM A FRONT GIVEN DISPERSAL PARAMETERS c1 and c2
% AND FECUNDITY PARAMETER k

if (bordertype==1)
    if (r>0)
        q1 = quad('sdposfunc',r,2*r,[],[],r,c1,c2);
        q2 = quad('sdposfunc',2*r,100000,[],[],r,c1,c2);
        q = k*(q1+q2);
    elseif (r<0)
        q1 = quad('sdposfunc',-r,-2*r,[],[],-r,c1,c2);
        q2 = quad('sdposfunc',-2*r,100000,[],[],-r,c1,c2);
        q = k*(1-q1-q2);
    else % if r=0
        q = k/2;
    end
elseif (bordertype==2)
    if (r>0)
        q = k* quad('sdposfunccircout',r,2*circlerad+r,[],[],r,c1,c2,circlerad);
    elseif (r<0)
        q1 = quad('sdposfuncsimp',0,2*circlerad+r,[],[],c1,c2);
        q2 = quad('sdposfunccircin',-r,2*circlerad+r,[],[],-r,c1,c2,circlerad);
        q = k*(q1-q2);
    else % if r=0
        q = k/2;
    end
elseif (bordertype==3)
    if (r>0)
        q1 = quad('sdposfuncsimp',2*circlerad-r,100000,[],[],c1,c2);
        q2 = quad('sdposfunccircin',r,2*circlerad-r,[],[],r,c1,c2,circlerad);
        q = k*(q1+q2);
    elseif (r<0)
        q1 = quad('sdposfunccircout',-r,2*circlerad-r,[],[],-r,c1,c2,circlerad);
        q = k*(1-q1);
    else % if r=0
        q = k/2;
    end
end
